Bug 1606784 - zbar: FTBFS in Fedora rawhide due to wrong python2 call at pygobject-codegen-2.0
Summary: zbar: FTBFS in Fedora rawhide due to wrong python2 call at pygobject-codegen-2.0
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pygobject2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS 1585626
TreeView+ depends on / blocked
 
Reported: 2018-07-20 21:37 UTC by Mohan Boddu
Modified: 2018-08-09 11:31 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-09 11:31:36 UTC


Attachments (Terms of Use)
build.log (21.35 KB, text/plain)
2018-07-20 21:37 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 21:37 UTC, Mohan Boddu
no flags Details
state.log (603 bytes, text/plain)
2018-07-20 21:37 UTC, Mohan Boddu
no flags Details
Hack to fix zbar build (2.86 KB, patch)
2018-08-07 20:30 UTC, Mauro Carvalho Chehab
no flags Details | Diff
Hack to fix zbar build (v2) (2.85 KB, patch)
2018-08-07 20:32 UTC, Mauro Carvalho Chehab
no flags Details | Diff

Description Mohan Boddu 2018-07-20 21:37:06 UTC
zbar failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28241152


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix zbar at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
zbar will be orphaned. Before branching of Fedora 30,
zbar will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 21:37:20 UTC
Created attachment 1469233 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 21:37:25 UTC
Created attachment 1469234 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 21:37:28 UTC
Created attachment 1469235 [details]
state.log

Comment 4 Mauro Carvalho Chehab 2018-08-07 20:29:32 UTC
The bug is actually at the pygobject-codegen-2.0 package. It contains a shell script with the following content:

   #!/bin/sh

   prefix=/usr
   datarootdir=${prefix}/share
   datadir=/usr/share
   codegendir=${datadir}/pygobject/2.0/codegen

   PYTHONPATH=$codegendir
   export PYTHONPATH

   exec /usr/bin/python $codegendir/codegen.py "$@"

Well, after python2 changes, the last line of the script won't do the right thing. That line should be changed to:

   exec /usr/bin/python2 $codegendir/codegen.py "$@"

(or to use /usr/bin/env python2)

As I don't maintain the above package, for now I added a logic that will do:
env $(PYGTK_CODEGEN) |sed s,python,python2, > ./codegen.sh

and then it runs the local script. That should fix the Zbar issue. Yet, the proper fix would be for the pygobject-codegen-2.0 to replace the python call directly there.

Comment 5 Mauro Carvalho Chehab 2018-08-07 20:30:49 UTC
Created attachment 1474097 [details]
Hack to fix zbar build

Comment 6 Mauro Carvalho Chehab 2018-08-07 20:32:59 UTC
Created attachment 1474098 [details]
Hack to fix zbar build (v2)

Comment 7 Hans de Goede 2018-08-09 11:31:36 UTC
This is fixed in pygobject2-2.28.7-4.fc29 and I've done a new zbar build zbar-0.20.1-3.fc29 which drops the hack to work around this, closing.


Note You need to log in before you can comment on or make changes to this bug.